Subject: bug#52074: 29.0.50; Add key binding for find-library

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Nov 2021 18:16:14 +0100

Manuel Uberti <[email-masked]> writes:

> You're right. What about using a prefix like C-x 7 and add something like:
>
> - C-x 7 l for find-library
>
> Then these can be considered as well:
>
> - C-x 7 f for find-function
> - C-x 7 v for find-variable

Hm...  We've got a variety of stuff on `C-x <num>', but mostly things
that deal with windows/tabs/frames.  But perhaps it might make sense to
put a `find-*' keymap there.

Phil Sainty <[email-masked]> writes:

> FWIW I use this same binding, and in my mind it makes excellent sense
> to use C-h C-l for `find-library' if you also have:
>
> C-h C-v for `find-variable'
> C-h C-f for `find-function'
> C-h C-k for `find-function-on-key'
>
> All of which feel (to me) analogous to C-h v, C-h f, and C-h k: Without
> the Ctrl modifier you view the docstrings; with it you view the code.

Unfortunately `C-h C-f' is taken, but this makes sense.

> (Admittedly C-h l is unconnected, but that hasn't bothered me.
> Following
> my pattern that would probably be bound to `finder-commentary', but I'm
> not suggesting we move `view-lossage' elsewhere.)
>
> I guess my main point is that I do think of *all* of these things as
> help-related, as I consider reading the code as just the next step up
> from reading the docstrings.

That's a good point.

I doubt `C-h C-f' is used that often, so perhaps we could consider
moving it and binding these four find-* commands to the `C-h' map.

Anybody else with opinions or ideas here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no